org.apache.poi.ss.formula.ptg

## Class OperandPtg

- java.lang.Object
- - org.apache.poi.ss.formula.ptg.Ptg
  - - org.apache.poi.ss.formula.ptg.OperandPtg

- All Implemented Interfaces:
    Duplicatable
  Direct Known Subclasses:
    AreaErrPtg, AreaPtgBase, Deleted3DPxg, DeletedArea3DPtg, DeletedRef3DPtg, MemAreaPtg, MemErrPtg, MemFuncPtg, NamePtg, NameXPtg, NameXPxg, RefErrorPtg, RefPtgBase

      public abstract class OperandPtg
      extends Ptg

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.ss.formula.ptg.Ptg

      `CLASS_ARRAY, CLASS_REF, CLASS_VALUE, EMPTY_PTG_ARRAY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `OperandPtg()`
    `protected` | `OperandPtg(OperandPtg other)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract OperandPtg` | `copy()`
    `boolean` | `isBaseToken()` All Operand `Ptg`s are classified ('relative', 'value', 'array')

    - ### Methods inherited from class org.apache.poi.ss.formula.ptg.Ptg

      `createPtg, doesFormulaReferToDeletedCell, getDefaultOperandClass, getEncodedSize, getEncodedSizeWithoutArrayData, getPtgClass, getRVAType, getSize, readTokens, serializePtgs, setClass, toFormulaString, toString, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OperandPtg

          protected OperandPtg()

    - #### OperandPtg

          protected OperandPtg(OperandPtg other)

  - ### Method Detail

    - #### isBaseToken

          public final boolean isBaseToken()

      All Operand `Ptg`s are classified ('relative', 'value', 'array')
      Specified by:
        `isBaseToken` in class `Ptg`
      Returns:
        `false` if this token is classified as 'reference', 'value', or 'array'

    - #### copy

          public abstract OperandPtg copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `Ptg`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.